StreamBase C++ API 10.3.0.4

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | List of all members
sb::StreamBaseException Class Reference

The base class for all StreamBaseExceptions. More...

`#include <Exceptions.hpp>`

Inheritance diagram for sb::StreamBaseException:

## Public Member Functions
| StreamBaseException (std::string code, std::string message, sb_internal::Errors::Type error_type=sb_internal::Errors::UNKNOWNTYPE, std::string type="StreamBaseException")
| Constructor. More...
| StreamBaseException (std::string code, std::string message, StreamBaseException &c, sb_internal::Errors::Type error_type=sb_internal::Errors::UNKNOWNTYPE, std::string type="StreamBaseException")
| Constructor. More...
virtual | ~StreamBaseException () throw ()
| Destructor. More...
virtual const char * | what () const throw ()
| Returns the message as a C string. More...

## Protected Member Functions
virtual std::string | causeAsXmlString () const

## Detailed Description

The base class for all StreamBaseExceptions.

Currently defined exceptions include

- StreamBaseNoSuchEntityException: requested an entity which doesn't exist
- StreamBaseBadXmlException: non-well-formed (i.e., unparseable) XML
- StreamBaseBadEntityException: semantically invalid entity description (e.g., box doesn't have a type)
- StreamBaseTypingException: typechecking failed
- StreamBaseIllegalArgumentException: miscellaneous illegal argument provided

An StreamBaseException should never be thrown directly; use the Throw macro instead.

## Constructor & Destructor Documentation

sb::StreamBaseException::StreamBaseException | ( | std::string | code,
|  | std::string | message,
|  | sb_internal::Errors::Type | error_type = `sb_internal::Errors::UNKNOWNTYPE`,
|  | std::string | type = `"StreamBaseException"`
| ) |  |

Constructor.

Parameters

  code | see ExceptionsCodes.hpp; use SB_NEW_MESSAGE_CODE if in doubt
  message | the exception message
  error_type | the class of error, for server runtime error handling
  type | the type of the exception

sb::StreamBaseException::StreamBaseException | ( | std::string | code,
|  | std::string | message,
|  | StreamBaseException & | c,
|  | sb_internal::Errors::Type | error_type = `sb_internal::Errors::UNKNOWNTYPE`,
|  | std::string | type = `"StreamBaseException"`
| ) |  |

Constructor.

Parameters

  code | see ExceptionsCodes.hpp; use SB_NEW_MESSAGE_CODE if in doubt
  message | the exception message
  c | an exception that is the "cause" of this exception
  error_type | the class of error, for server runtime error handling
  type | the type of the exception

virtual sb::StreamBaseException::~StreamBaseException | ( |  | ) | throw ()
| virtual

Destructor.

## Member Function Documentation

virtual const char* sb::StreamBaseException::what | ( |  | ) | const throw ()
| inline virtual

Returns the message as a C string.

The string is owned by this object, so the pointer becomes invalid upon destruction of the StreamBaseException.

The documentation for this class was generated from the following file:

- Exceptions.hpp